<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<?php

$name  = "DbgLog" ;
$title = "Advanced Debugging Messages Filter and Logger" ;
$ttimg = "title.png" ;
$keywd = "DbgLog YLS Varkhan Advanced Debugging Messages Filter Logger" ;
$descr = "DbgLog developement page" ;

$home = 'http://www.varkhan.net/software/DbgLog/' ;
$splash = "Filters and logs debugging/error messages according to <I>errno</I>, calling module/function, warning keyword and debugging level." ;

$date = "2007-05-17" ;
$last = "1.3.0" ;


$support = array(
	'Information and project homepage'	=> "<A HREF=\"$home\"><SPAN CLASS=Field>$home</SPAN></A>",
	'Support and bug reports'		=> "Write to &lt;varkhan&nbsp;<B>at</B>&nbsp;varkhan&nbsp;<B>dot</B>&nbsp;net&gt;<BR> (please include the name \"<B>DbgLog</B>\" into the subject).",
) ;
 
$author = array(
	'Name' => "Yann LANDRIN-SCHWEITZER aka <B>Varkhan</B>" ,
	'Mail' => "varkhan&nbsp;<B>at</B>&nbsp;varkhan&nbsp;<B>dot</B>&nbsp;net" ,
	'Home' => "<A HREF=\"http://www.varkhan.net/\"><SPAN CLASS=Field>http://www.varkhan.net/</SPAN></A>" ,
) ;

$document = array(
	'DbgLog documentation'	=> array(
		'HTML' => "DocHtml/DbgLog.html" ,
		'TEXT' => "DocText/DbgLog.txt" ,
		'PDF'  => "DocPsPdf/DbgLog.pdf" ,
	) ,
	'DbgCfg documentation'	=> array(
		'HTML' => "DocHtml/DbgCfg.html" ,
		'TEXT' => "DocText/DbgCfg.txt" ,
		'PDF'  => "DocPsPdf/DbgCfg.pdf" ,
	) ,
) ;


$descript_v_110 = '' ;

$download_v_110 = array (
	"Source"				=> "DbgLog-1.1.0-src.tgz" ,
	"Documentation"				=> "DbgLog-1.1.0-doc.tgz" ,
	"Tests"					=> "DbgLog-1.1.0-tst.tgz" ,
	"Shared&nbsp;lib&nbsp;Linux-i386"	=> "libDbgLog.1.1.0.so.Linux-i386.gz" ,
	"Static&nbsp;lib&nbsp;Linux-i386"	=> "libDbgLog.1.1.0.a.Linux-i386.gz"
		) ;

$descript_v_111 = 
'<FONT FACE="Helvetica" SIZE=5 COLOR="#FF0000">*.*.*</FONT><FONT FACE="Embassy" SIZE=5 COLOR="#008060"><B>Christmas version</B></FONT><FONT FACE="Helvetica" SIZE=5 COLOR="#FF0000">*.*.*</FONT>' ;

$download_v_111 = array (
	"Source"				=> "DbgLog-1.1.1-src.tgz" ,
	"Documentation"				=> "DbgLog-1.1.1-doc.tgz" ,
	"Tests"					=> "DbgLog-1.1.1-tst.tgz" ,
	"Shared&nbsp;lib&nbsp;Linux-i386"	=> "libDbgLog.1.1.1.so.Linux-i386.gz" ,
	"Static&nbsp;lib&nbsp;Linux-i386"	=> "libDbgLog.1.1.1.a.Linux-i386.gz"
		) ;

$descript_v_120 = '' ;

$download_v_120 = array (
	"Source"				=> "DbgLog-1.2.0-src.tgz" ,
	"Documentation"				=> "DbgLog-1.2.0-doc.tgz" ,
	"Tests"					=> "DbgLog-1.2.0-tst.tgz" ,
	"Shared&nbsp;lib&nbsp;Linux-i386"	=> "libDbgLog.1.2.0.so.Linux-i386.gz" ,
	"Static&nbsp;lib&nbsp;Linux-i386"	=> "libDbgLog.1.2.0.a.Linux-i386.gz" ,
	"RPM&nbsp;Fedora&nbsp;Core&nbsp;2"	=> "DbgLog-1.2.0-fc2.1.i386.rpm"
		) ;

$descript_v_121 = '' ;

$download_v_121 = array (
	"Source"				=> "DbgLog-1.2.1-src.tgz" ,
	"Documentation"				=> "DbgLog-1.2.1-doc.tgz" ,
	"Tests"					=> "DbgLog-1.2.1-tst.tgz" ,
	"Shared&nbsp;lib&nbsp;Linux-i386"	=> "libDbgLog.1.2.1.so.Linux-i386.gz" ,
	"Static&nbsp;lib&nbsp;Linux-i386"	=> "libDbgLog.1.2.1.a.Linux-i386.gz" ,
	"RPM&nbsp;Fedora&nbsp;Core&nbsp;2"	=> "DbgLog-1.2.1-fc2.1.i386.rpm"
		) ;


$descript_v_130 = '
Corrected hexadecimal number display width bug in DbgLog
Added libDbgCfg, an automatic configuration library using properties files, <I>a-la</I> log4j.' ;

$download_v_130 = array (
	"Source"				=> "DbgLog-1.3.0-src.tgz" ,
	"Documentation"				=> "DbgLog-1.3.0-doc.tgz" ,
	"Tests"					=> "DbgLog-1.3.0-tst.tgz" ,
	"Shared&nbsp;lib&nbsp;Linux-i386"	=> "libDbgLog.1.3.0.so.Linux-i386.gz" ,
	"Static&nbsp;lib&nbsp;Linux-i386"	=> "libDbgLog.1.3.0.a.Linux-i386.gz" ,
	"RPM&nbsp;Fedora&nbsp;Core&nbsp;2"	=> "DbgLog-1.3.0-fc2.1.i386.rpm"
		) ;


?>

<?php
require_once "WasPhp_Twings.php" ;
require_once "Software.php" ;
?>

<HTML>

<HEAD>
  <TITLE> <?php echo $name ; ?> - <?php echo $title ; ?> </TITLE>
  <META NAME="Keywords" content="<?php echo $keywd ; ?>">
  <META NAME="Description" CONTENT="<?php echo $descr ; ?>">
  <META NAME="ROBOTS" CONTENT="Index, Follow">
  <LINK TYPE="text/css" REL="stylesheet" HREF="Software.css">
</HEAD>


<BODY>

<DIV CLASS=Software>
<TABLE CELLPADDING=0 CELLSPACING=0  BORDER=0>

<TR><TD VALIGN=top ALIGN=center COLSPAN=3>
<H1><CENTER><IMG SRC="<?php echo $ttimg ; ?>" ALT="<?php echo $name ; ?>"></CENTER></H1>
</TD></TR>

<TR>

  <TD COLSPAN=3>
  <DIV CLASS=Header ALIGN=center><?php echo $title ; ?></DIV>
  </TD>

  </TD>

</TR>

<TR><TD COLSPAN=3 HEIGHT=20> </TD></TR>

<TR>

  <TD COLSPAN=3>
  <DIV CLASS=Insert><SPAN CLASS=Entry><?php echo $name ; ?>:</SPAN> <?php echo $splash ; ?></DIV>
  </TD>

  </TD>

</TR>

<TR><TD COLSPAN=3 HEIGHT=20> </TD></TR>

<TR>

  <TD WIDTH=350 VALIGN=top ALIGN=left>

  <SPAN CLASS=Entry>Last change</SPAN> <SPAN CLASS=Field><?php echo $date ; ?></SPAN><BR>
  <SPAN CLASS=Entry>Last stable version</SPAN> <SPAN CLASS=Field><?php echo $last ; ?></SPAN><BR>
  <BR>

  <SPAN CLASS=Section>Read the <A HREF="DocText/CHANGELOG.txt">Changelog</A></SPAN><BR>
  </FONT>

  <BR><BR>
  <?php echo Software_formatsection("Download Version 1.3.0",$descript_v_130,$download_v_130) ; ?>
  <?php echo Software_formatsection("Download Version 1.2.1",$descript_v_121,$download_v_121) ; ?>
  <?php echo Software_formatsection("Download Version 1.2.0",$descript_v_120,$download_v_120) ; ?>

  </TD>

  <TD WIDTH=10> </TD>

  <TD VALIGN=top ALIGN=left>

<?php
echo WasPhp_Twings_Window("Documentation",
Software_formathashlist($document).'Distributed under the <A HREF="DocText/LICENSE.txt"><B>LGPL License</B></A>',
300,100,"HyperTwings") ;
?>
<BR><BR>
<?php 
echo WasPhp_Twings_Window("Author",Software_formathash($author),300,100,"HyperTwings") ;
?>
<BR><BR>
<?php
echo WasPhp_Twings_Window("Support",Software_formatlist($support),300,100,"HyperTwings") ;
?>


  </TD>

</TR>



</TABLE>
</DIV>

</BODY>
</HTML>
